<?
if (!defined('webid')) {
    exit();
}

if ($user_status != 'admin') {
    exit();
}

?>
<style type="text/css">
#google {
    position: absolute;
    left: 5px;
    top: 3px;
}
#ask {
    position: absolute;
    left: 100px;
    top: 3px;
}
</style>
<script type="text/javascript">
function generate() {
    $.post('funcsitemap.php',{
        ok: 'ok'
    }, function(data){
        $('#sitemaplist').html(data);
    });
    return false;
}

function google() {
    $.ajax({
        type: 'GET',
        url: 'http://google.com/webmasters/sitemaps/ping?sitemap=http://<?=$_SERVER['HTTP_HOST']?>/sitemap.xml'
    });
    $('#google').html('Отправка...');
    $('#google').ajaxComplete(function(){
        $('#google').html('Google');
    });
    return false;
}
function ask() {
    $.ajax({
        type: 'GET',
        url: 'http://submissions.ask.com/ping?sitemap=http://<?=$_SERVER['HTTP_HOST']?>/sitemap.xml'
    });
    $('#ask').html('Отправка...');
    $('#ask').ajaxComplete(function(){
        $('#ask').html('ASK');
    });
    return false;
}
</script>
<h4>Генерация Sitemap</h4>
<table width="620" border="0" cellpadding="0" cellspacing="1" align="center" class="tab">
    <tr>
        <td style="background: #fafafa; padding: 5px;" style="font-weight: normal;"><strong>Генерация карты сайта</strong> - прежде всего нужна для продвижения вашего сайта в поисковых системах. Благодаря чему, поисковые систему будут знать все ваши url и изменения. После нажатия на <strong>СГЕНЕРИРОВАТЬ</strong>, будет создан файл <strong>sitemap.xml</strong> в корне сайта и если он уже существует, он будет перезаписан. Формат sitemap.xml поддерживают следующие гиганты поисковых систем: <strong>Google</strong> - <strong>Яндекс</strong> - <strong>Yahoo!</strong> - <strong>Ask.com</strong> - <strong>Live Search</strong><br /><br /><div align="center">Рекомендуется использовать 1 раз в день, желательно вечером.</td>
    </tr>
    <tr>
        <td style="background: #ebebeb;" align="center"><textarea style="border: 1px solid #dddddd; padding: 5px; margin: 5px; width: 95%; height: 200px;" id="sitemaplist"></textarea></td>
    </tr>
    <tr>
        <td style="background: #ebebeb; padding: 5px;" align="right"><div style="position: relative;"><a href="#" onclick="google();" id="google">Google</a><a href="#" onclick="ask();" id="ask">ASK</a><input type="submit" onclick="generate(); return false;" value="Сгенерировать" id="save" /></div></td>
    </tr>
</table>